<?php

namespace App\Http\Controllers\Website;

use App\Http\Controllers\Controller;
use App\Models\Managers\ContactManager;

class ContactsController extends Controller
{
    public function __construct(
        private ContactManager $contactManager
    ) {
        $this->addCssFile('contacts.css');
    }

    public function index()
    {
        $contacts = $this->contactManager->getContacts();

        return $this->render('contacts')
            ->with(compact('contacts'));
    }
}
